/* $Id: makeimagedl.cc,v 1.2 2003/04/23 14:53:44 richard Exp $ -*- C++ -*-
  __   _
  |_) /|  Copyright (C) 2003 Richard Atterer
  | \/|  <richard at atterer.net>
   '` 
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License, version 2. See
  the file COPYING for details.

  Download .jigdo/.template and file URLs

*/

#include <config.h>
#include <makeimagedl.hh>

using namespace Job;
//______________________________________________________________________

MakeImageDl::MakeImageDl(IO* ioPtr, const string& jigdoURI,
                         const string& destination)
    : io(ioPtr), jigdoURL(jigdoURI), jigdo(0), dest(destination),
      mi(jigdoURI, jigdo) { }

void MakeImageDl::run() {
  jigdo = new JigdoDownload(this, jigdoURL);
  mi.setReporter(jigdo);
}
